Loading...
Searching...
No Matches
singthreads.h File Reference
`#include <cstdlib>`
`#include <new>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | LibThread

## Typedefs

typedef void *(* | LibThread::ThreadFunc) (ThreadState *, void *)

## Functions

ThreadState * | LibThread::createThread (ThreadFunc body, void **arg, const char **error)
void * | LibThread::joinThread (ThreadState *ts)
template<typename T>
T * | LibThread::shared_alloc (std::size_t n)
template<typename T>
T * | LibThread::shared_alloc0 (std::size_t n)
template<typename T>
T | LibThread::shared_free (T *p)